Bug 436084 - ctrl keys seems to get stuck
ctrl keys seems to get stuck
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-keyboard (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-05 05:10 EST by ritz
Modified: 2008-04-16 13:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-16 13:50:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/etc/X11/xorg.conf (462 bytes, text/plain)
2008-03-06 06:16 EST, Matěj Cepl
no flags Details
/var/log/Xorg.0.log (50.53 KB, text/plain)
2008-03-06 06:18 EST, Matěj Cepl
no flags Details
output of xev (6.14 KB, text/plain)
2008-03-06 06:25 EST, Matěj Cepl
no flags Details

  None (edit)
Description ritz 2008-03-05 05:10:02 EST
Description of problem:
After upgrading from Fedora8 to rawhide , the "ctrl" key
sometimes gets stuck in some weird way.

Some programs (such as Sawfish, my window manager firefox/epiphany  ) believe
the ctrl modifier is always pressed, but other programs (such as gnome-terminal
) behave normally.

That's very annoying because I can't use the arrow keys anymore (they
are bound to actions in sawfish), I can't use the mouse with any
program (sawfish intercepts the clicks), ...

I first suspected a sawfish bug, but killing and restarting it does not
help. Run 

Killing X and restarting it temporarily solves the problem.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
not sure
Actual results:
ctrl key seems to be stuck

Expected results:
ctrl key should not be stuck

Additional info:
using alt key sometimes helps.
xev report no key is pressed, but strangely many apps see ctrl key as pressed.

similar bug report

reference - 
Comment 1 ritz 2008-03-05 12:06:33 EST
happens with metacity :(
Comment 2 Matěj Cepl 2008-03-05 16:31:36 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Matěj Cepl 2008-03-06 06:11:10 EST
Actually, may very well add these files myself -- it happens to me as well.
Comment 4 Matěj Cepl 2008-03-06 06:16:46 EST
Created attachment 297024 [details]

Using the following packages.
Comment 5 Matěj Cepl 2008-03-06 06:18:59 EST
Created attachment 297025 [details]
Comment 6 Matěj Cepl 2008-03-06 06:25:12 EST
Created attachment 297026 [details]
output of xev

Somehow it might be related to bug 209351, because Alt keys are somehow
affected as well. Alt+Tab doesn't work at all, and sometimes when Alt is
pressed Ctrl gets stuck as well.

When running xev I have just (aside from some small mouse movements) just
pressed left and right Ctrl (no other key).
Comment 7 denis ivanov 2008-03-08 18:10:58 EST
IMHO this is the same as bug #386091
Comment 8 ritz 2008-04-16 13:50:54 EDT
works now

Note You need to log in before you can comment on or make changes to this bug.